#include "Menu.h"
#include "Global.h"

Widget CreatePrinterOptionMenu (parent)
     Widget  parent;
{
  XmString printers[4];
  Widget buttonID[4];
  int            printerCount=4;

  Widget  option;
  Widget  pulldown;
  Widget  button;
  int     counter;
  XmString label;

  printers[0] = XmStringCreateSimple("LaserJet 2000");
  printers[1] = XmStringCreateSimple("LaserJet III");
  printers[2] = XmStringCreateSimple("DeskJet");
  printers[3] = XmStringCreateSimple("PaintJet");

  /*** Create a pulldown menu pane. ***/
  ac = 0;
  XtSetArg(al[ac], XmNtearOffModel, XmTEAR_OFF_ENABLED); ac++;
  pulldown = XmCreatePulldownMenu (parent, NULL, al, ac);

  /*** Add a pushbutton for each printer. ***/
  for (counter = 0 ; counter < printerCount ; counter++)
    {
      ac = 0;
      XtSetArg(al[ac], XmNlabelString, printers[counter]); ac++;
      label = printers[counter];
      button = XmCreatePushButtonGadget (pulldown, NULL, al, ac);
      XtAddCallback(button, XmNactivateCallback, MenuCB, MENU_Printer_Switch);
      XtManageChild(button);
      XmStringFree(printers[counter]);

      /* Save the widget ID for each printer button.  These IDs can then
         be used within a callback to determine which printer has been
         chosen. */ 
      buttonID[counter] = button;
    }

  /*** Create the option menu.  Set the subMenuId with the pulldown ID. ***/
  ac = 0;
  label = XmStringCreateSimple("Printer:");
  XtSetArg(al[ac], XmNlabelString, label); ac++;
  XtSetArg(al[ac], XmNsubMenuId, pulldown); ac++;
  option = XmCreateOptionMenu (parent, "printerMenu", al, ac);
  XmStringFree(label);

  return (option);

}

